package com.ruoyi.tuya.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 栏目信息对象 tuya_category_info
 *
 * @author zf
 * @date 2022-07-07
 */
public class TuyaCategoryInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long categoryId;

    /** 栏目名称 */
    @Excel(name = "栏目名称")
    private String categoryName;

    /** 所属平台 */
    @Excel(name = "所属平台")
    private Long siteId;

    /** 平台名称 */
    @Excel(name = "平台名称")
    private String siteName;


    /** 所属模块 */
    @Excel(name = "所属模块")
    private Long channelId;

    /** 模块名称 */
    @Excel(name = "模块名称")
    private String channelName;

    /** 所属父级 */
    @Excel(name = "所属父级")
    private Long parentId;

    /** 父级名称 */
    @Excel(name = "父级名称")
    private String parentName;

    /** 栏目标题 */
    @Excel(name = "栏目标题")
    private String categoryTitle;

    /** 栏目标题 */
    @Excel(name = "栏目副标题")
    private String categoryTitle2;

    /** URL */
    @Excel(name = "URL")
    private String categoryLinkUrl;

    /** 图片地址1 */
    @Excel(name = "图片地址1")
    private String categoryImgUrl1;

    /** 图片地址2 */
    @Excel(name = "图片地址2")
    private String categoryImgUrl2;

    /** 图片地址3 */
    @Excel(name = "图片地址3")
    private String categoryImgUrl3;

    /** SEO标题 */
    @Excel(name = "SEO标题")
    private String seoTitle;

    /** SEO关键字 */
    @Excel(name = "SEO关键字")
    private String seoKeyword;

    /** SEO描述 */
    @Excel(name = "SEO描述")
    private String seoDescription;

    /** 栏目内容 */
    @Excel(name = "栏目内容")
    private String categoryContent;

    /** 排序 */
    @Excel(name = "排序")
    private Long sortId;

    /** 状态 */
    @Excel(name = "状态")
    private Long isLock;

    /** 标识 */
    @Excel(name = "标识")
    private Long flag;


    /** 子项 */
    private List<TuyaCategoryInfo> children = new ArrayList<TuyaCategoryInfo>();

    public void setCategoryId(Long categoryId)
    {
        this.categoryId = categoryId;
    }

    public Long getCategoryId()
    {
        return categoryId;
    }
    public void setCategoryName(String categoryName)
    {
        this.categoryName = categoryName;
    }

    public String getCategoryName()
    {
        return categoryName;
    }
    public void setSiteName(String siteName)
    {
        this.siteName = siteName;
    }

    public String getSiteName()
    {
        return siteName;
    }
    public void setChannelId(Long channelId)
    {
        this.channelId = channelId;
    }

    public Long getChannelId()
    {
        return channelId;
    }
    public void setChannelName(String channelName)
    {
        this.channelName = channelName;
    }

    public String getChannelName()
    {
        return channelName;
    }
    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }

    public Long getParentId() { return parentId; }
    public void setCategoryTitle(String categoryTitle)
    {
        this.categoryTitle = categoryTitle;
    }

    public String getCategoryTitle()
    {
        return categoryTitle;
    }
    public void setCategoryTitle2(String categoryTitle2)
    {
        this.categoryTitle2 = categoryTitle2;
    }

    public String getCategoryTitle2()
    {
        return categoryTitle2;
    }
    public void setCategoryLinkUrl(String categoryLinkUrl)
    {
        this.categoryLinkUrl = categoryLinkUrl;
    }

    public String getCategoryLinkUrl()
    {
        return categoryLinkUrl;
    }
    public void setCategoryImgUrl1(String categoryImgUrl1)
    {
        this.categoryImgUrl1 = categoryImgUrl1;
    }

    public String getCategoryImgUrl1()
    {
        return categoryImgUrl1;
    }
    public void setCategoryImgUrl2(String categoryImgUrl2)
    {
        this.categoryImgUrl2 = categoryImgUrl2;
    }

    public String getCategoryImgUrl2()
    {
        return categoryImgUrl2;
    }
    public void setCategoryImgUrl3(String categoryImgUrl3)
    {
        this.categoryImgUrl3 = categoryImgUrl3;
    }

    public String getCategoryImgUrl3()
    {
        return categoryImgUrl3;
    }
    public void setSeoTitle(String seoTitle)
    {
        this.seoTitle = seoTitle;
    }

    public String getSeoTitle()
    {
        return seoTitle;
    }
    public void setSeoKeyword(String seoKeyword)
    {
        this.seoKeyword = seoKeyword;
    }

    public String getSeoKeyword()
    {
        return seoKeyword;
    }
    public void setSeoDescription(String seoDescription)
    {
        this.seoDescription = seoDescription;
    }

    public String getSeoDescription()
    {
        return seoDescription;
    }
    public void setCategoryContent(String categoryContent)
    {
        this.categoryContent = categoryContent;
    }

    public String getCategoryContent()
    {
        return categoryContent;
    }
    public void setSortId(Long sortId)
    {
        this.sortId = sortId;
    }

    public Long getSortId()
    {
        return sortId;
    }
    public void setIsLock(Long isLock)
    {
        this.isLock = isLock;
    }

    public Long getIsLock()
    {
        return isLock;
    }
    public void setFlag(Long flag)
    {
        this.flag = flag;
    }

    public Long getFlag()
    {
        return flag;
    }

    public Long getSiteId()
    {
        return siteId;
    }
    public void setSiteId(Long siteId)
    {
        this.siteId = siteId;
    }

    public List<TuyaCategoryInfo> getChildren()
    {
        return children;
    }

    public String getParentName()
    {
        return parentName;
    }
    public void setParentName(String parentName)
    {
        this.parentName = parentName;
    }

    public void setChildren(List<TuyaCategoryInfo> children)
    {
        this.children = children;
    }
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("categoryId", getCategoryId())
            .append("categoryName", getCategoryName())
            .append("siteId", getSiteId())
            .append("siteName", getSiteName())
            .append("channelId", getChannelId())
            .append("channelName", getChannelName())
            .append("parentId", getParentId())
            .append("parentName", getParentName())
            .append("categoryTitle", getCategoryTitle())
            .append("categoryTitle", getCategoryTitle2())
            .append("categoryLinkUrl", getCategoryLinkUrl())
            .append("categoryImgUrl1", getCategoryImgUrl1())
            .append("categoryImgUrl2", getCategoryImgUrl2())
            .append("categoryImgUrl3", getCategoryImgUrl3())
            .append("seoTitle", getSeoTitle())
            .append("seoKeyword", getSeoKeyword())
            .append("seoDescription", getSeoDescription())
            .append("categoryContent", getCategoryContent())
            .append("sortId", getSortId())
            .append("isLock", getIsLock())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("flag", getFlag())
            .append("remark", getRemark())
            .toString();
    }
}
